net.i2p.router.transport

## Interface TransportEventListener

All Known Implementing Classes:
  TransportManager

    public interface TransportEventListener

### Method Summary

Methods
`void` `messageReceived(I2NPMessage message, RouterIdentity fromRouter, Hash fromRouterHash)`
`void` `transportAddressChanged()`

### Method Detail

#### messageReceived

    void messageReceived(I2NPMessage message,
                       RouterIdentity fromRouter,
                       Hash fromRouterHash)

#### transportAddressChanged

    void transportAddressChanged()